---
dependency:
  name: galaxy
driver:
  name: containers
platforms:
  - name: debian-10
    image: geerlingguy/docker-debian10-ansible
    tmpfs:
      - /run
      - /tmp
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    capabilities:
      - SYS_ADMIN
    command: "/lib/systemd/systemd"
    pre_build_image: true
  - name: ubuntu-20-04
    image: geerlingguy/docker-ubuntu2004-ansible
    tmpfs:
      - /run
      - /tmp
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    capabilities:
      - SYS_ADMIN
    command: "/lib/systemd/systemd"
    pre_build_image: true
provisioner:
  name: ansible
  config_options:
    defaults:
      # prevent warnings
      interpreter_python: auto_silent
      # enable these plugins to output profiling information with the playbook output
      callback_enabled: profile_tasks, timer, yaml
#    # podman users might want to disable SSH pipelining (can be commented out for docker users)
#    ssh_connection:
#      pipelining: false
verifier:
  name: ansible
lint: |
  set -e
  yamllint .
  ansible-lint .
